<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.zongzhi.mapper.TcTbMapper">
    
    <resultMap type="TcTb" id="TcTbResult">
        <result property="id"    column="id"    />
        <result property="areaId"    column="area_id"    />
        <result property="depName"    column="dep_name"    />
        <result property="locationName"    column="location_name"    />
        <result property="tbType"    column="tb_type"    />
        <result property="tbTime"    column="tb_time"    />
        <result property="createId"    column="create_id"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateId"    column="update_id"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
        <result property="ip"    column="ip"    />
        <result property="state"    column="state"    />
        <result property="fileUrl"    column="file_url"    />
        <result property="fileName"    column="file_name"    />
    </resultMap>

    <sql id="selectTcTbVo">
        select id, area_id, dep_name, location_name,tb_type,tb_time, create_id, create_by, create_time, update_id, update_by, update_time, remark,ip,state,file_url,file_name from tc_tb
    </sql>

    <select id="selectTcTbList" parameterType="TcTb" resultMap="TcTbResult">
        <include refid="selectTcTbVo"/>
        <where>
            <if test="areaId != null "> and area_id = #{areaId}</if>
            <if test="depName != null  and depName != ''"> and dep_name like concat('%', #{depName}, '%')</if>
            <if test="locationName != null  and locationName != ''"> and location_name like concat('%', #{locationName}, '%')</if>
            <if test="tbType != null "> and tb_type = #{tbType}</if>
            <if test="tbTime != null "> and tb_time = #{tbTime}</if>
            <if test="createId != null "> and create_id = #{createId}</if>
            <if test="updateId != null "> and update_id = #{updateId}</if>
            <if test="ip != null "> and ip = #{ip}</if>
            <if test="state != null "> and state = #{state}</if>
            <if test="fileUrl != null "> and file_url = #{fileUrl}</if>
            <if test="fileName != null "> and file_name = #{fileName}</if>
        </where>
    </select>
    
    <select id="selectTcTbById" parameterType="Long" resultMap="TcTbResult">
        <include refid="selectTcTbVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertTcTb" parameterType="TcTb" useGeneratedKeys="true" keyProperty="id">
        insert into tc_tb
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="areaId != null">area_id,</if>
            <if test="depName != null">dep_name,</if>
            <if test="tbType != null">tb_type,</if>
            <if test="locationName != null">location_name,</if>
            <if test="tbTime != null">tb_time,</if>
            <if test="createId != null">create_id,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateId != null">update_id,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
            <if test="ip != null">ip,</if>
            <if test="state != null">state,</if>
            <if test="fileUrl != null">file_url,</if>
            <if test="fileName != null">file_name,</if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="areaId != null">#{areaId},</if>
            <if test="depName != null">#{depName},</if>
            <if test="tbType != null">#{tbType},</if>
            <if test="locationName != null">#{locationName},</if>
            <if test="tbTime != null">#{tbTime},</if>
            <if test="createId != null">#{createId},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateId != null">#{updateId},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
            <if test="ip != null">#{ip},</if>
            <if test="state != null">#{state},</if>
            <if test="fileUrl != null">#{fileUrl},</if>
            <if test="fileName != null">#{fileName},</if>
        </trim>
    </insert>

    <update id="updateTcTb" parameterType="TcTb">
        update tc_tb
        <trim prefix="SET" suffixOverrides=",">
            <if test="areaId != null">area_id = #{areaId},</if>
            <if test="ip != null">ip = #{ip},</if>
            <if test="state != null">state = #{state},</if>
            <if test="fileUrl != null">file_url = #{fileUrl},</if>
            <if test="fileName != null">file_name = #{fileName},</if>
            <if test="depName != null">dep_name = #{depName},</if>
            <if test="locationName != null">location_name = #{locationName},</if>
            <if test="tbType != null">tb_type = #{tbType},</if>
            <if test="tbTime != null">tb_time = #{tbTime},</if>
            <if test="createId != null">create_id = #{createId},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateId != null">update_id = #{updateId},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteTcTbById" parameterType="Long">
        delete from tc_tb where id = #{id}
    </delete>

    <delete id="deleteTcTbByIds" parameterType="String">
        delete from tc_tb where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>